import request from '@/utils/request';
// 备份列表
export function getBackFileList(queryParams:any) {
  return request({
    url: '/system/databackup/getBackFileList',
    method: 'get',
    params: queryParams
  });
}
// 开始备份
export function backupDataTable(params:any) {
  return request({
    url: '/system/databackup/backupDataTable',
    method: 'POST',
    params
  });
}
// 恢复备份
export function recoverDataTable(params:any) {
  return request({
    url: '/system/databackup/recoverDataTable',
    method: 'POST',
    params
  });
}
// 下载备份
export function downloadDataTable(params:any) {
  return request({
    url: '/system/databackup/downloadDataTable',
    method: 'POST',
    params
  });
}